
// commandes du TCO, des aiguilles et des signaux
// ne sert que pour l'interface avec le TCO virtuel

/////////////////////////////////////////////////////////////////////////////
enum  {CODE_AIGUILLE,CODE_ZONE,CODE_SIGNAL,CODE_CARRE,
       CODE_BOUTON,CODE_BOUTON_CLI,CODE_ERREUR,CODE_INFO};

void tco(byte c,byte x,byte n) { byte buf[2]; // code couleur|position numero
  if (TCO) { buf[0]=16*c+x; buf[1]=n; Serial.write(buf,2); return; }
  switch(c) { // mise en forme pour affichage sur le moniteur serie
    case CODE_AIGUILLE:   Serial.print('A'); break; // manoeuvre aiguille
    case CODE_ZONE:       Serial.print('Z'); break; // coloration zone (sur tco)
    case CODE_SIGNAL:     Serial.print('S'); break; // manoeuvre signal (semaphore)
    case CODE_CARRE:      Serial.print('C'); break; // manoeuvre signal (carre)
    case CODE_BOUTON:     Serial.print('B'); break; // coloration bouton (sur tco)
    case CODE_BOUTON_CLI: Serial.print('b'); break; // coloration bouton clignotant (sur tco)
    case CODE_ERREUR:     Serial.print('E'); break; // erreur
    case CODE_INFO:       Serial.print('I'); break; // info
    default:              Serial.print('?');   
  }
  Serial.print(n); 
  if (c==CODE_ERREUR || c==CODE_INFO) return; 
  Serial.print('='); 
  if (c==CODE_AIGUILLE) { if (x) Serial.print('/'); else Serial.print('|'); }
  else { //Serial.println(x); 
    switch(x) { // mise en forme des couleurs
      case COULEUR_GRISE:   Serial.print('G'); break;
      case COULEUR_ROUGE:   Serial.print('R'); break;
      case COULEUR_BLANCHE: Serial.print('B'); break;
      case COULEUR_JAUNE:   Serial.print('J'); break;
      case COULEUR_VERTE:   Serial.print('V'); break;
      case COULEUR_ROSE:    Serial.print('r'); break;
      default:              Serial.print('?');   
    }
  }
  Serial.print(' ');
}


